Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.client
Interface ClientSession.QueueQuery

Enclosing interface:
  ClientSession

    public static interface ClientSession.QueueQuery

Information returned by a queue query

See Also:
  `ClientSession.queueQuery(SimpleString)`

Method Summary
`SimpleString` | `getAddress()` Returns the address that the queue is bound to.
`int` | `getConsumerCount()` Returns the number of consumers attached to the queue.
`SimpleString` | `getFilterString()` Returns the queue's filter string (or `null` if the queue has no filter).
`long` | `getMessageCount()` Returns the number of messages in the queue.
`boolean` | `isDurable()` Returns `true` if the queue is durable, `false` else.
`boolean` | `isExists()` Returns `true` if the queue exists, `false` else.

Method Detail

### isExists

    boolean isExists()

  Returns `true` if the queue exists, `false` else.

### isDurable

    boolean isDurable()

  Returns `true` if the queue is durable, `false` else.

### getConsumerCount

    int getConsumerCount()

  Returns the number of consumers attached to the queue.

### getMessageCount

    long getMessageCount()

  Returns the number of messages in the queue.

### getFilterString

    SimpleString getFilterString()

  Returns the queue's filter string (or `null` if the queue has no filter).

### getAddress

    SimpleString getAddress()

  Returns the address that the queue is bound to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.